package com.tmerclub.cloud.product.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author chiley
 * @date 2022/6/29 17:15
 */
@Schema(description = "我的商品数量")
public class SpuCountVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "所有商品数量")
    private Integer allCount;

    @Schema(description = "已删除商品数量")
    private Integer deleted;

    @Schema(description = "正常在售商品")
    private Integer available;

    @Schema(description = "待审核商品")
    private Integer underReview;

    @Schema(description = "平台下架商品")
    private Integer removedByPlatform;

    @Schema(description = "所有下架商品")
    private Integer removed;

    public Integer getAllCount() {
        return allCount;
    }

    public void setAllCount(Integer allCount) {
        this.allCount = allCount;
    }

    public Integer getDeleted() {
        return deleted;
    }

    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    public Integer getAvailable() {
        return available;
    }

    public void setAvailable(Integer available) {
        this.available = available;
    }

    public Integer getUnderReview() {
        return underReview;
    }

    public void setUnderReview(Integer underReview) {
        this.underReview = underReview;
    }

    public Integer getRemovedByPlatform() {
        return removedByPlatform;
    }

    public void setRemovedByPlatform(Integer removedByPlatform) {
        this.removedByPlatform = removedByPlatform;
    }

    public Integer getRemoved() {
        return removed;
    }

    public void setRemoved(Integer removed) {
        this.removed = removed;
    }

    @Override
    public String toString() {
        return "SpuCountVO{" +
                "allCount=" + allCount +
                ", deleted=" + deleted +
                ", available=" + available +
                ", underReview=" + underReview +
                ", removedByPlatform=" + removedByPlatform +
                ", removed=" + removed +
                '}';
    }
}
